//+------------------------------------------------------------------+
//|                                                      lyliaEA.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

extern string inf1="Your lots";
extern double lots=0.1;
extern string inf2="magick number";
extern int  mn=7777;
int slip=3;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
datetime data;
int start()
  {
    int i,nt;
    string sym=Symbol();
    double signalup=iCustom(Symbol(),0,"IINWMARROWS",0,1);
    double signaldown=iCustom(Symbol(),0,"IINWMARROWS",1,1);
    if(data!=iTime(Symbol(),0,0))
    {
      if(signalup!=EMPTY_VALUE&&signalup!=0)
      {
        if(openpos()>0)
        {
          for(i=0;i<OrdersTotal();i++)
          if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES))
          {
            if(OrderType()==OP_SELL&&OrderSymbol()==Symbol()&&OrderMagicNumber()==mn)
            {
             if(OrderClose(OrderTicket(),lots,Ask,slip))
              Print("short was closed");
            }
          }
        }
        Print("try open long");
        Print(Symbol());
        nt=OrderSend(Symbol(),OP_BUY,lots,Ask,slip,0,0,mn,0,Green);
        if(nt>0)
         Print("long order was opened");
      }
      
      if(signaldown!=EMPTY_VALUE&&signaldown!=0)
      {
        if(openpos()>0)
        {
          for(i=0;i<OrdersTotal();i++)
          if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES))
          {
            if(OrderType()==OP_BUY&&OrderSymbol()==Symbol()&&OrderMagicNumber()==mn)
            {
              if(OrderClose(OrderTicket(),lots,Bid,slip))
               Print("long was closed");
            }
          }
        }
        Print("try open short");
        Print(Symbol());
        nt=OrderSend(Symbol(),OP_SELL,lots,Bid,slip,0,0,mn,0,Red);
        if(nt>0)
         Print("short was opened");
      }
      data=iTime(Symbol(),0,0);
      
    }
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+

 int openpos()
  {
   int j=0;
   int i,n;
   n=OrdersTotal();
   for(i=0;i<n;i++)
   {
     if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==true)
     if(OrderSymbol()==Symbol()&&OrderMagicNumber()==mn&&(OrderType()==OP_SELL||OrderType()==OP_BUY))
     j++;
   }
   return(j);
 } 